#include "picsys18.h"

int dir = 1 ; // 方向
int bit = 0 ; // ビット位置

void
setup()
{
    pinMode(SW5, INPUT) ;
    pinMode(SW6, INPUT) ;

    // LEDアレイを使うときには７セグの初期化が必要
    SEG7_initDefault() ;
}

void
loop()
{
    if (digitalRead(SW5) == LOW) // 左方向
        dir = 1 ;
    if (digitalRead(SW6) == LOW) // 右方向
        dir = 0 ;
	
    LED_bitClear(bit) ; // 一度消して

    if (dir) {
        if (++bit > 8)
            bit = 0 ;
    } else {
        if (--bit < 0)
            bit = 7 ;
    }	
	
    LED_bitSet(bit) ; // 新しい場所で点灯

    delayMilliseconds(100) ;
}
